<?php
if(!empty($_SESSION['admin_connect_id']))
{
if(!isset($_GET['id'])){
  include("pages/404.php");
 }
 else
 {


$id=mysqli_real_escape_string($con,htmlspecialchars(trim($_GET['id']))) ;
$req_get="SELECT * FROM parcours where id='$id'";
$query_get=mysqli_query($con,$req_get);

$data= mysqli_fetch_array($query_get); 

?>
<h4 class="title"><i class="fa fa-road"></i> Modifier le parcours  " <?php echo $data['parnom']; ?> "</h4>
  <div class="row">
              <div class="col-lg-12">
                  <div class="form-panel">
                    <form id="form" method="" class="form-horizontal" action=""  enctype="multipart/form-data">
                     <input type="hidden" name="id" value="<?php echo $data['id']; ?>">
                    
                      <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Nom </label>
                      <input type="text" required="required"  class="form-control"  id="nom" name="nom" value="<?php echo $data['parnom']; ?>">
                      </div>
                      </div> 
                        <div class="form-group">
                        <div class="col-sm-6 col-xs-12">
                      <label>Nom en arabe </label>
                           <input type="text" required="required"  class="form-control"  id="nomar" name="nomar" value="<?php echo $data['parnomar']; ?>">
                      </div>
                      </div>

   <div class="form-group">
                        <div class="col-sm-6 col-xs-12">
                      <label>Unité </label>
                    

   <select name="unite" class="form-control" >
         
                        <option value="0">sélectionnez l'unité</option>
                        <?php
                        $q_dep  = mysqli_query($con,"SELECT * FROM unite");
                         while ($dep = mysqli_fetch_array($q_dep)) {
                        ?>
<option value="<?php echo $dep['id'] ?>" <?php if($data['parunite']==$dep['id']){ echo "selected";} ?>><?php echo $dep['uninom'] ?></option>
                      <?php  }  ?>
                                          
                        
                      </select>


                      </div>
                      </div>

  <div class="form-group">
                      <div class="col-sm-6 col-xs-12">
                      <label>Destination  </label>
        
                      <select name="destinations" class="form-control" >
                         
                        <option value="0">sélectionnez la Destination </option>
                        <?php
                       $reqq= "SELECT * FROM destinations";
                        $q_destinations  = mysqli_query($con,$reqq);
                         while ($destinations = mysqli_fetch_array($q_destinations)) {
                        ?>
<option value="<?php echo $destinations['id'] ?>" <?php if($data['pardest']==$destinations['id']){ echo "selected";} ?>><?php echo $destinations['dstnom'] ?></option>
                      <?php  }  ?>
                                          
                        
                      </select>
                      </div>
                      </div> 




              <div class="form-group">
                         <div class="col-sm-6 col-xs-12">
              <input type="submit" id="modifier" class="btn btn-primary btn-block" value="modifier">
                     </div>
                     </div>
                <div class="input-group message col-sm-6" id="mess">

              </div>
                </form>

                  </div>
        </div>
  </div>


<script type="text/javascript" src="assets/js/jquery.validate.js"></script>
<script type="text/javascript">
$(document).ready( function () {
$("#g_parcours").addClass("active");
document.title = 'Modifier parcours ';

   jQuery.validator.addMethod('selectcheck', function (value) {
    return (value != '0');

    }, "type required");
$("#form").validate({
submitHandler: function(form) {
$.ajax({
 url: 'actions/parcours/modifier.php',
 type: "POST",
 data: new FormData(form),
 contentType: false,
 cache: false,
 processData: false,
 success: function(data){
  if(data == 1){
        $("#mess").html('<div class="alert alert-success">  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>   <strong>Modification avec succès </strong> </div>')  ;
               setTimeout(function() {
              /* location.reload();*/
              window.location.href ="index.php?p=parcours";
               }, 2000);
    } else  {
     $("#mess").html('<div class="alert alert-danger">  <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>   <strong>Erreur.</strong> </div>')  ;

     }
},
 error: function(){}
 });
  } ,
                rules: {
               nom: "required",
               nomar: "required",
              unite: "selectcheck",
              destinations: "selectcheck"
                               },
                messages: {
                        nom: "Entrez le nom ",
                        nomar: "Entrez le nom en arab",
                     unite: "sélectionnez l'unité", 
                     destinations: "sélectionnez la destination", 
                           },
                errorElement: "em",
                errorPlacement: function ( error, element ) {

                    error.addClass( "help-block" );

                    element.parents( ".col-sm-6" ).addClass( "has-feedback" );

                    if ( element.prop( "type" ) === "checkbox" ) {
                        error.insertAfter( element.parent( "label" ) );
                    } else {
                        error.insertAfter( element );
                    }

                },

                highlight: function ( element, errorClass, validClass ) {
                    $( element ).parents( ".col-sm-6" ).addClass( "has-error" ).removeClass( "has-success" );
                    $( element ).next( "span" ).addClass( "glyphicon-remove" ).removeClass( "glyphicon-ok" );
                },
                unhighlight: function ( element, errorClass, validClass ) {
                    $( element ).parents( ".col-sm-6" ).addClass( "has-success" ).removeClass( "has-error" );
                    $( element ).next( "span" ).addClass( "glyphicon-ok" ).removeClass( "glyphicon-remove" );
                }
            } );
        } );


</script>
<?php } 

}else{  

 include("../404.php");  } ?>